Subject: Re: bug#36554: 27.0.50; Wishlist: `insert-char' should have better completion

From: Juri Linkov <[email-masked]>
Date: Tue, 09 Jul 2019 23:16:49 +0300

>>> Emacs has a bunch of packages for "intuitive" completion, but apparently
>>> none of the popular ones (like ido) support completion for `C-x 8 C-m
>>> TAB'?  So if you know you want one of the ANGLE letters, it's a bit
>>> difficult to complete to.  So it'd be nice if ido (at least?) supported
>>> substring completion in that command...
>>
>> C-x 8 C-m *ANGLE TAB
>
> That helps, but ido (and friends) do completion based on words, while
> that will also get TRIANGLE, etc...

There is word-based ‘partial-completion’ in completion-styles-alist.